# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

import model_pb2 as model__pb2


class QLModelStub(object):
    """Missing associated documentation comment in .proto file."""

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.run_request = channel.unary_unary(
                '/QLModel/run_request',
                request_serializer=model__pb2.PromptConfig.SerializeToString,
                response_deserializer=model__pb2.ModelResp.FromString,
                )


class QLModelServicer(object):
    """Missing associated documentation comment in .proto file."""

    def run_request(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_QLModelServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'run_request': grpc.unary_unary_rpc_method_handler(
                    servicer.run_request,
                    request_deserializer=model__pb2.PromptConfig.FromString,
                    response_serializer=model__pb2.ModelResp.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'QLModel', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class QLModel(object):
    """Missing associated documentation comment in .proto file."""

    @staticmethod
    def run_request(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/QLModel/run_request',
            model__pb2.PromptConfig.SerializeToString,
            model__pb2.ModelResp.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
